## CITATION
## Andrade, A.F.A., Velazco, S.J.E., De Marco Jr, P., 2020. ENMTML: An R package for a straightforward construction of complex ecological niche models. Environmental Modelling & Software 125, 104615. https://doi.org/10.1016/j.envsoft.2019.104615

## The Github repository for the package ENMTM: https://github.com/andrefaa/ENMTML

## Installation

if (!"devtools"%in%installed.packages()){install.packages("devtools")}  
devtools::install_github("andrefaa/ENMTML")  
library(ENMTML)

# install.packages("devtools")
# library(devtools)
# install_github("andrefaa/ENMTML",force=T)  
# library(ENMTML)  

############ Modeling routine used ############

ENMTML(pred_dir= "Directory path with predictors (file formats supported are ASC, BILL, TIFF or TXT)",
       proj_dir= "Directory path containing folders with predictors for different regions or time periods used to project models (file formats supported are ASC, BILL, TIFF, or TXT)",
       occ_file="Directory path with the tab-delimited TXT file, which will contain at least three columns with information about species names, and the latitude and longitude of species occurrences",
       result_dir="Directory path with the folder in which model results will be recorded",
       sp="species",
       x="longitude",
       y="latitude",
       min_occ=5,
       thin_occ=c(method='USER-DEFINED', distance='10'),
       colin_var = c(method='PCA'),
       imp_var = FALSE,
       eval_occ = NULL,
       sp_accessible_area = c(method='BUFFER', type='2', width='200'), 
       pres_abs_ratio = 1,
       pseudoabs_method = c(method='ENV_CONST'),
       part = c(method= 'BLOCK'),
       save_part=FALSE,
       save_final=TRUE,
       algorithm = c("BIO", "GAU", "MXD", "MXS", "RDF", "SVM"),
       thr=c(type='MAX_TSS'),
       msdm=c(method='PRES'),
       ensemble = c(method='SUP', metric='TSS'),
       extrapolation=TRUE,
       cores=2)